<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_221) on Tue Jan 19 16:20:18 PST 2021 -->
<title>HttpHeaders (apache-nutch 1.18 API)</title>
<meta name="date" content="2021-01-19">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HttpHeaders (apache-nutch 1.18 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HttpHeaders.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/metadata/Feed.html" title="interface in org.apache.nutch.metadata"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/metadata/HttpHeaders.html" target="_top">Frames</a></li>
<li><a href="HttpHeaders.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.nutch.metadata</div>
<h2 title="Interface HttpHeaders" class="title">Interface HttpHeaders</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/apache/nutch/net/protocols/Response.html" title="interface in org.apache.nutch.net.protocols">Response</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../org/apache/nutch/protocol/htmlunit/HttpResponse.html" title="class in org.apache.nutch.protocol.htmlunit">HttpResponse</a>, <a href="../../../../org/apache/nutch/protocol/selenium/HttpResponse.html" title="class in org.apache.nutch.protocol.selenium">HttpResponse</a>, <a href="../../../../org/apache/nutch/protocol/http/HttpResponse.html" title="class in org.apache.nutch.protocol.http">HttpResponse</a>, <a href="../../../../org/apache/nutch/protocol/httpclient/HttpResponse.html" title="class in org.apache.nutch.protocol.httpclient">HttpResponse</a>, <a href="../../../../org/apache/nutch/protocol/interactiveselenium/HttpResponse.html" title="class in org.apache.nutch.protocol.interactiveselenium">HttpResponse</a>, <a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata">Metadata</a>, <a href="../../../../org/apache/nutch/protocol/okhttp/OkHttpResponse.html" title="class in org.apache.nutch.protocol.okhttp">OkHttpResponse</a>, <a href="../../../../org/apache/nutch/metadata/SpellCheckedMetadata.html" title="class in org.apache.nutch.metadata">SpellCheckedMetadata</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">HttpHeaders</span></pre>
<div class="block">A collection of HTTP header names.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://rfc-ref.org/RFC-TEXTS/2616/">Hypertext Transfer Protocol
      -- HTTP/1.1 (RFC 2616)</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CLIENT_TRANSFER_ENCODING">CLIENT_TRANSFER_ENCODING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_DISPOSITION">CONTENT_DISPOSITION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_ENCODING">CONTENT_ENCODING</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_LANGUAGE">CONTENT_LANGUAGE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_LENGTH">CONTENT_LENGTH</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_LOCATION">CONTENT_LOCATION</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_MD5">CONTENT_MD5</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#CONTENT_TYPE">CONTENT_TYPE</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#IF_MODIFIED_SINCE">IF_MODIFIED_SINCE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#LAST_MODIFIED">LAST_MODIFIED</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#LOCATION">LOCATION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#TRANSFER_ENCODING">TRANSFER_ENCODING</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#USER_AGENT">USER_AGENT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../org/apache/nutch/metadata/HttpHeaders.html#WRITABLE_CONTENT_TYPE">WRITABLE_CONTENT_TYPE</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="TRANSFER_ENCODING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TRANSFER_ENCODING</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> TRANSFER_ENCODING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.TRANSFER_ENCODING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CLIENT_TRANSFER_ENCODING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CLIENT_TRANSFER_ENCODING</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CLIENT_TRANSFER_ENCODING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.CLIENT_TRANSFER_ENCODING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CONTENT_ENCODING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTENT_ENCODING</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CONTENT_ENCODING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.CONTENT_ENCODING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CONTENT_LANGUAGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTENT_LANGUAGE</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CONTENT_LANGUAGE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.CONTENT_LANGUAGE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CONTENT_LENGTH">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTENT_LENGTH</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CONTENT_LENGTH</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.CONTENT_LENGTH">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CONTENT_LOCATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTENT_LOCATION</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CONTENT_LOCATION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.CONTENT_LOCATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CONTENT_DISPOSITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTENT_DISPOSITION</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CONTENT_DISPOSITION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.CONTENT_DISPOSITION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CONTENT_MD5">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTENT_MD5</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CONTENT_MD5</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.CONTENT_MD5">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="CONTENT_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>CONTENT_TYPE</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> CONTENT_TYPE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.CONTENT_TYPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="WRITABLE_CONTENT_TYPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>WRITABLE_CONTENT_TYPE</h4>
<pre>static final&nbsp;<a href="https://hadoop.apache.org/docs/r3.1.3/api/org/apache/hadoop/io/Text.html?is-external=true" title="class or interface in org.apache.hadoop.io">Text</a> WRITABLE_CONTENT_TYPE</pre>
</li>
</ul>
<a name="LAST_MODIFIED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LAST_MODIFIED</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> LAST_MODIFIED</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.LAST_MODIFIED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LOCATION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LOCATION</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> LOCATION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.LOCATION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="IF_MODIFIED_SINCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>IF_MODIFIED_SINCE</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> IF_MODIFIED_SINCE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.IF_MODIFIED_SINCE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="USER_AGENT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>USER_AGENT</h4>
<pre>static final&nbsp;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> USER_AGENT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../constant-values.html#org.apache.nutch.metadata.HttpHeaders.USER_AGENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/HttpHeaders.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/apache/nutch/metadata/Feed.html" title="interface in org.apache.nutch.metadata"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../org/apache/nutch/metadata/Metadata.html" title="class in org.apache.nutch.metadata"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/apache/nutch/metadata/HttpHeaders.html" target="_top">Frames</a></li>
<li><a href="HttpHeaders.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li>Method</li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2021 The Apache Software Foundation</small></p>
</body>
</html>
